
Foreman - Bug #17907

bond0 slaves or docker bridges prioritised as primary interface

01/03/2017 09:06 AM - El Joppa

Status: New   

Priority: Normal   

Assignee:    

Category: Network   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1.14RC2

Ubuntu 16.04

Chooses bond slave even if it doesnt have ip assigned.

Also chooses docker0 bridge if present.

http://imgur.com/a/hfmrv

Related issues:

Related to Foreman - Bug #18252: Foreman uses docker0 ip address as primary i... Closed 01/26/2017

History

#1 - 01/03/2017 09:18 AM - Anonymous

- Project changed from Smart Proxy to Foreman

#2 - 01/03/2017 09:28 AM - Dominic Cleal

- Subject changed from Foreman prioritizes bond0 slaves or docker bridges as primary interface to bond0 slaves or docker bridges prioritised as

primary interface

- Category set to Network

To clarify, is the host created from a facts import and the bug is in that process?

If you're creating a new host then you select the primary interface using the icons on the left.

#3 - 01/03/2017 11:53 AM - El Joppa

Dominic Cleal wrote:

To clarify, is the host created from a facts import and the bug is in that process?

If you're creating a new host then you select the primary interface using the icons on the left.

 The host is created from puppet facts import, yes.

#4 - 01/27/2017 03:13 AM - Dominic Cleal

- Related to Bug #18252: Foreman uses docker0 ip address as primary interface if docker package is installed added

#5 - 01/27/2017 03:13 AM - Dominic Cleal

Note that the associated bug didn't actually fix the primary interface issue, it only ignores docker* interfaces from being imported. The issue described

in both about primary interface selection is unfixed.
